Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
Class GetEffectivePojoPropertySite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.GetEffectivePojoPropertySite

All Implemented Interfaces:
  CallSite

    public class GetEffectivePojoPropertySite

extends AbstractCallSite

Field Summary

Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite
`array, index, name, usage`

Constructor Summary
`GetEffectivePojoPropertySite(CallSite site, MetaClassImpl metaClass, MetaProperty effective)`

Method Summary
`CallSite` | `acceptGetProperty(Object receiver)`
`Object` | `getProperty(Object receiver)`

Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite
`acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getUsage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetEffectivePojoPropertySite

    public GetEffectivePojoPropertySite(CallSite site,
                                        MetaClassImpl metaClass,
                                        MetaProperty effective)

Method Detail

### acceptGetProperty

    public final CallSite acceptGetProperty(Object receiver)

  Overrides:
    `acceptGetProperty` in class `AbstractCallSite`

### getProperty

    public final Object getProperty(Object receiver)
                             throws Throwable

  Specified by:
    `getProperty` in interface `CallSite`
  Overrides:
    `getProperty` in class `AbstractCallSite`
  Throws:
    `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD